hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Yu (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-12478) HBASE-10141 and MIN_VERSIONS are not compatible
Date Fri, 14 Nov 2014 22:45:34 GMT

    [ https://issues.apache.org/jira/browse/HBASE-12478?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14212996#comment-14212996
] 

Ted Yu commented on HBASE-12478:
--------------------------------

Thanks for taking a look.

I added test to patch v2. TestStore passed locally.

> HBASE-10141 and MIN_VERSIONS are not compatible
> -----------------------------------------------
>
>                 Key: HBASE-12478
>                 URL: https://issues.apache.org/jira/browse/HBASE-12478
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Enis Soztutar
>             Fix For: 2.0.0, 0.98.9, 0.99.2
>
>         Attachments: 12478-v1.txt, 12478-v2.txt
>
>
> HBASE-10141 is a good optimization, eliminating the need to scan already expired files
(through TTL). However, I think if MIN_VERSIONS is set, it will not ensure that there will
be at least that many versions since it bypasses the scan layer. 
> I think we can just do a simple check before the HBASE-10141 optimization to see whether
MIN_VERSIONS is set for the table, and if so just do the regular old way of doing the scan
in the compaction. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message